/*
** Module   : ErrorWriterBatch.java
** Abstract : Implementation for error writer for batch mode.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVL 20131119 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Implements display outputs for batch mode.
 */
public class ErrorWriterBatch
implements ErrorWriter
{
   public void displayError(String errmsg)
   {
      System.out.println(errmsg);
   }
   
   public void message(String errmsg)
   {
      System.out.println(errmsg);
   }
   
   public void messageBox(String masterMsg, String title)
   {
      System.out.println(title + ":" + masterMsg);
   }
   
   public void pause()
   {
      // In batch mode do noting.
      return;
   }
}
