/*
** Module   : ErrorWriterServer.java
** Abstract : Implementation for error writer for server side.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVL 20131119 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Implements display error outputs for server side.
 */
public class ErrorWriterServer
implements ErrorWriter
{
   public void displayError(String errmsg)
   {
      LogicalTerminal.message(errmsg);
   }
   
   public void message(String errmsg)
   {
      LogicalTerminal.message(errmsg);
   }
   
   public void messageBox(String masterMsg, String title)
   {
      LogicalTerminal.messageBox(masterMsg,
                                 LogicalTerminal.ALERT_ERROR,
                                 LogicalTerminal.BTN_OK,
                                 "Error");
   }
   
   public void pause()
   {
      LogicalTerminal.pause();
   }
}
