/*
** Module   : BatchHelper.java
** Abstract : The class provides I/O stubs and error handling for batch mode processing. 
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVL 20131104 Created initial version.
*/

package com.goldencode.p2j.ui.client.chui.driver.batch;

import com.goldencode.p2j.util.*;

/**
 * The BatchHelper class provides .
 */
public class BatchHelper 
{
   private static BatchHelper instance;
   
   /**
    * Default empty constructor.
    */
   private BatchHelper()
   {
      System.loadLibrary("p2j");
   }

   /**
    * Access the instance of the console helper.
    *
    * @return   The static console helper instance.
    */
   public synchronized static BatchHelper getDefaultBatchHelper()
   {
      if (instance == null)
      {
         instance = new BatchHelper();
      }

      return instance;
   }
   
   public void inputOperation()
   throws UnstoppableExitException
   {
      ErrorManager.displayError(513, "Attempt to read with no current source of input", true);
      throw new UnstoppableExitException("");
   }
   
   public void outputOperation()
   throws UnstoppableExitException
   {
      ErrorManager.displayError(516, "Attempt to write with no current output destination", true);
      throw new UnstoppableExitException("");
   } 
}
